/*- - - - - - - - - - - - - - - - - - - - - - - - - - - -
	TEST.CPP

	Test program for TCalendarEdit Class

	Author:     Daniel BERMAN (CompuServe: 100567,3464)
	Date:       09 jully 1995 (1.0)
	Date:       13 jully 1995 (1.01)

*/

#include <owl\owlpch.h>
#pragma hdrstop

#include "caledit.h"
#include "test.rc"


class TApp : public TApplication
{
public:

	TApp(const char far* name) : TApplication(name) {}

	void InitMainWindow()
	{
		TDialog *dlg;
		dlg = new TDialog(0, IDD_MAIN);
		new TCalendarEdit(dlg, IDC_EDIT);
		SetMainWindow(new TFrameWindow(0, GetName(), dlg, true));

      // French support
	//	TCalendarEdit::SetLanguage(TIntlDate::French);
	}
};

int OwlMain(int, char* [])
{
	return TApp("TCalendarEdit  Daniel BERMAN").Run();
}

