/*- - - - - - - - - - - - - - - - - - - - - - - - - - - -
	CALEDIT.H

	TCalendarEdit Class

	Author:     Daniel BERMAN (CompuServe: 100567,3464)
	Date:       09 jully 1995 (1.0)
	Date:       13 jully 1995 (1.01)

*/

#ifndef _TCalendarEdit_H
#define _TCalendarEdit_H

#include <owl\owlpch.h>
#pragma hdrstop

#include "intldate.h"


class TCalendarBtn;

class TCalendarEdit : public TEdit
{
public:

	TCalendarEdit(TWindow* parent, int id, const char far* text, int x, int y,
					  int w, int h, uint textLen = 0, TModule* module = 0);
	TCalendarEdit(TWindow* parent, int resourceId, uint textLen = 0,
					  TModule* module = 0);


	const TIntlDate&							GetDate();

	static TIntlDate::HowToSpeak	SetLanguage(TIntlDate::HowToSpeak l);
	static TIntlDate::HowToPrint	SetPrintOption(TIntlDate::HowToPrint h);

private:

	TCalendarBtn* CalBtn;

	void Init();
};


#endif
